using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using System;


public class DelayedTask : MonoBehaviour {

	private float time;
	private Func<System.Object> OnFinish;

	public void Run(float time, Func<System.Object> OnFinish) {
		this.time = time;
		this.OnFinish = OnFinish;
		StartCoroutine(Task());
	}

	public IEnumerator Task() {
		yield return new WaitForSeconds(time);
		OnFinish();
	}

}