﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class UiMessages : MonoBehaviour {

	private static ArrayList messages = new ArrayList();

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
		ArrayList toRemove = new ArrayList();
		foreach (UiMessage log in messages) { 
			if (Time.GetTimeStamp() - log.time > 2) {
				toRemove.Add(log);
			}
		}

		foreach (UiMessage log in toRemove) {
			messages.Remove(log);
		}
	}

	public static void Show(string message) {
		messages.Add(new UiMessage(Time.GetTimeStamp(), message));
	}

	void OnGUI() {
		GUI.skin.label.fontSize = 22;

		string showMessage = "";
		foreach (UiMessage log in messages) {
			showMessage += log.message+"\n";
		}

        GUI.Label(new Rect(Screen.width/2-(showMessage.Length * 6), 10, 120, Screen.height), showMessage);

    }

    class UiMessage {
    	public UiMessage(int time, string message) {
    		this.time = time;
    		this.message = message;
    	}
    	public int time;
    	public string message;
    }
}
